@echo off
REM %%VER DOS Batch File for Installing NDIS Drivers to OS/2 EE v2.0c

REM *************************************************

REM  Format: From the NDIS subdirectory
REM		> os2ee\os2ee [Target_Drive:]

REM *************************************************

..\install\echoxy 16 16 Updating EtherLink Plus drivers on %1
set update=n

if not exist %1\cmlib\elnkpl.os2 goto skip1
copy %1\cmlib\elnkpl.os2 %1\cmlib\elnkpl.old > nul
goto skip2
:skip1
copy elnkpl.os2 %1\cmlib > nul
..\install\echoxy 16 10 Installed new EtherLink Plus OS/2 driver in the directory %1\cmlib

if not exist %1\config.sys goto errmsg2
if not exist %1\cmlib\protocol.ini goto errmsg2
copy %1\config.sys %1\config.old > nul
copy %1\cmlib\protocol.ini %1\cmlib\protocol.old > nul
copy %1\config.sys tmp.tmp > nul
\install\csed /f tmp.tmp /b "*elnkii*" "DEVICE=%tardrv%\CMLIB\ELNKPL.OS2"
if errorlevel 1 goto errmsg
if errorlevel 3 goto errmsg
\install\csed /f tmp.tmp /d "*elnkii*"
if errorlevel 1 goto errmsg
if errorlevel 3 goto errmsg
copy tmp.tmp %1\config.sys > nul
copy %1\cmlib\protocol.ini tmp.tmp > nul
\install\csed /f tmp.tmp /r "*bindings = tcmac2*" "    Bindings = TCMAC"
if errorlevel 1 goto errmsg
if errorlevel 3 goto errmsg
\install\csed /f tmp.tmp /r "*elnkii*" "    DriverName=ELNKPL$"
if errorlevel 1 goto errmsg
if errorlevel 3 goto errmsg
\install\csed /f tmp.tmp /d "*transceiver*"
if errorlevel 1 goto errmsg
if errorlevel 3 goto errmsg
copy tmp.tmp %1\cmlib\protocol.ini > nul

set update=y

:DONE
del tmp.tmp > nul
if %update% == n goto errmsg

..\install\echoxy 16 10 The EtherLink Plus NDIS driver on %1 has been installed.
..\install\echoxy 17 10 The CONFIG.SYS and PROTOCOL.INI files have been copied
..\install\echoxy 18 10 with the extension ".old."
..\install\echoxy 20 10 Strike any key to return to the NDIS Menu.
..\install\reply
ndis

:skip2
..\install\echoxy 16 10 The EtherLink Plus NDIS driver on %1 has been updated.
..\install\echoxy 17 10 The older driver has been copied with the extension ".old."
..\install\echoxy 20 10 Strike any key to return to the NDIS Menu.
..\install\reply
ndis

:errmsg

del tmp.tmp > nul
copy %1\cmlib\elnkpl.old %1\cmlib\elnkpl.os2 > nul
del %1\cmlib\elnkpl.old > nul
copy %1\cmlib\protocol.old %1\cmlib\protocol.ini > nul
del %1\cmlib\protocol.old > nul
copy %1\config.old %1\config.sys > nul
del %1\config.old > nul

:errmsg2
..\install\echoxy 16 10 ***************** Error: No Files Were Updated! *******************
..\install\echoxy 17 10 Make sure that you have entered the correct drive letter
..\install\echoxy 18 10 and that you have access rights to the files.  Make sure
..\install\echoxy 19 10 that the CONFIG.SYS and PROTOCOL.INI files have not changed
..\install\echoxy 20 10 since the OS/2 EE installation.
..\install\echoxy 22 10 Strike any key to return to the NDIS Menu.
..\install\reply
ndis


