@echo off
REM %%VER 286 NetWare Drivers Installation Utility Program v2.0e

REM ******************************************************************

REM    Updates EtherLink Plus network adapter drivers in a NW 286 system
REM    Format: Fron the NETWARE subdirectory
REM              > 286\update [target_drive:]

REM ******************************************************************

..\install\echoxy 10 10                                                                     
..\install\echoxy 11 10                                                                     

..\install\echoxy 10 13 Updating NetWare 286 driver files on %1
set update=n

if not exist %1Shgen-1\*.* goto ST1

copy %1Shgen-1\S3C505.lan %1Shgen-1\*.old > nul
copy  286\S3C505.lan %1Shgen-1 > nul
..\install\echoxy 10 13 Updated the EtherLink Plus .LAN file in directory %1Shgen-1
set update=y

:ST1
if not exist %1Brgen-1\*.*  goto ST2

copy %1Brgen-1\3C505A?.lan %1Brgen-1\*.old > nul
copy %1Brgen-1\A3C505A?.lan %1Brgen-1\*.old > nul
copy  286\3C505A?.lan %1Brgen-1 > nul
..\install\echoxy 10 13 Updated the EtherLink Plus .LAN file in directory %1Brgen-1
set update=y

:ST2
if not exist %1Auxgen\*.*  goto ST3

copy %1Auxgen\3C505A?.lan %1Auxgen\*.old > nul
copy %1Auxgen\A3C505A?.lan %1Auxgen\*.old > nul
copy  286\3C505A?.lan %1Auxgen > nul
..\install\echoxy 10 13 Updated the EtherLink Plus .Lan file in directory %1Auxgen
set update=y

:ST3
if not exist %1WSgen\*.*  goto ST4

copy %1WSgen\S3C505.lan %1WSgen\*.old > nul
copy  286\S3C505.lan %1WSgen > nul
..\install\echoxy 10 13 Updated the EtherLink Plus .LAN file in directory %1Wsgen
set update=y

:ST4
if not exist %1Routegen\*.*  goto ST5

copy %1Routegen\3C505A?.lan %1Routegen\*.old > nul
copy %1Routegen\A3C505A?.lan %1Routegen\*.old > nul
copy  286\3C505A?.lan %1Routegen > nul
..\install\echoxy 10 13 Updated the EtherLink Plus .LAN file in directory %1Routegen
set update=y

:ST5
if not exist %1System-1\*.*  goto ST6

copy %1System-1\3C505A?.lan %1System-1\*.old > nul
copy %1System-1\A3C505A?.lan %1System-1\*.old > nul
copy  286\3C505A?.lan %1System-1 > nul
..\install\echoxy 10 13 Updated the EtherLink Plus .LAN file in directory %1System-1
set update=y


:ST6
if %update% == n goto errmsg
if not exist %1lan_drv_.505\*.*  goto make505

:contin
copy %1lan_drv_.505\*.obj  %1lan_drv_.505\*.old > nul
copy  286\*.obj  %1lan_drv_.505 > nul
..\install\echoxy 10 13 Updated the EtherLink Plus .OBJ's in directory %1LAN_DRV_.505
set update=y


:DONE

..\install\echoxy 17 13 The NetWare 286 EtherLink Plus drivers on %1 have been
..\install\echoxy 18 13 updated.  The older drivers have been copied to files
..\install\echoxy 19 13 with the extension ".old."
..\install\echoxy 22 13 Strike any key to return to the NetWare Menu.
..\install\reply
netware

:errmsg

..\install\echoxy 17 13         *** Error: No Files Were Updated! ***
..\install\echoxy 18 13 Make sure that you have entered the correct drive
..\install\echoxy 19 13 letter and that you have access rights to the files.
..\install\echoxy 22 13 Strike any key to return to the NetWare Menu.
..\install\reply
netware

:make505
md %1lan_drv_.505 > nul
goto contin

